Bug 126719 - Number of Spamd process grow without any control and system stucked
Number of Spamd process grow without any control and system stucked
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: spamassassin (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-25 05:15 EDT by G.Perricone
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 23:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Perricone 2004-06-25 05:15:52 EDT
Description of problem:

System is a Intel(R) Pentium(R) 4 CPU 3.06GHz with 626,63 MB of mem 
and swap 2,0 GB with Red Hat Enterprise Linux ES release 2.1 running 
- Qmail with 5 concurrencyincoming process setting, 
- spamassassin-2.63-1, 
- clamav-0.70, 
- qmail-scanner-1.22. 
- perl-Mail-SpamAssassin-2.63-1,
- perl-suidperl-5.6.1-37.1.99ent
- perl-5.6.1-37.1.99ent

During normal operation the number of Spamd process is equal to 1 or 
two, see below...
 
------------------------- 
  6:28pm  up 12 days,  8:48,  1 user,  load average: 0,35, 0,14, 0,10
73 processes: 71 sleeping, 2 running, 0 zombie, 0 stopped
CPU states:  4,0% user,  0,4% system,  0,0% nice, 95,6% idle
Mem:   641664K av,  547336K used,   94328K free,      56K shrd,  
331816K buff
Swap: 2096440K av,   12984K used, 2083456K free                   
45824K cached 
 
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
21290 spamd     15   0 89128  86M  2108 S     0,0 13,8   0:04 spamd
21267 qscand    21   0 13356  13M   784 S     0,0  2,0   0:00 clamd
---------------------
 
But sometimes without any notice number of Spamd process grow without 
any control to 10 or more ,RAM and Swap Memory was filled and system 
stucked.. 
 
The situation come back to normal after stopping any process of spamd 
and the restart main spamd process.
 
It is seems as there are almost two main spamd process see below...

It is important to evidence that the use of -m parameter, to try to 
limit the number of processes, do not seems to work. After setting -m 
parameter to 10 or less I carefully monitored the server and I notice 
that the problem become more serious, the system always crash after 
few minutes 
 
Version-Release number of selected component (if applicable):

Kernel-2.4.9-e.12, spamassassin-2.63-1, perl-5.6.1-37.1.99ent

How reproducible:

Steps to Reproduce:
1.setting -m parameter to 10 or less 
2.restart spamassassinActual results:


Expected results:
the system always crash after few minutes 

Additional info:
- /var/log/maillog
.....
Jun 24 08:43:02 smtp spamd[31991]: debug: running header regexp 
tests; score so far=0
Jun 24 08:43:02 smtp spamd[31991]: debug: running body-text per-line 
regexp tests; score so far=3.183
Jun 24 08:43:03 smtp spamd[31979]: debug: running body-text per-line 
regexp tests; score so far=3.183
Jun 24 08:43:03 smtp spamd[31967]: debug: running body-text per-line 
regexp tests; score so far=3.183
Jun 24 08:43:03 smtp spamd[31979]: debug: Razor2 is available
Jun 24 08:43:03 smtp spamd[31979]: debug: entering helper-app run mode
Jun 24 08:43:03 smtp spamd[31967]: debug: Razor2 is available
Jun 24 08:43:04 smtp spamd[31967]: debug: entering helper-app run mode
Jun 24 08:43:04 smtp spamd[31991]: debug: Razor2 is available
Jun 24 08:43:04 smtp spamd[31991]: debug: entering helper-app run mode
Jun 24 08:43:07 smtp spamd[31954]: debug: running full-text regexp 
tests; score so far=3.183
Jun 24 08:43:07 smtp spamd[31954]: debug: Razor2 is available
Jun 24 08:43:07 smtp spamd[31954]: debug: DCCifd is not available: no 
r/w dccifd socket found.
Jun 24 08:43:07 smtp spamd[31954]: debug: all '*From' addrs:
...... 
 
Below: 
- /var/log/message  
Jun 22 01:34:52 smtp kernel: Out of Memory: Killed process 19481 
(spamd)
........
 
- /var/log/maillog
Jun 22 08:20:06 smtp X-Qmail-Scanner-1.22: 
[xxxxxx.it108788503347920447] corrupt or unknown Fsecure scanner 
error or memory/resource/perms problem - exit status 1
Jun 22 08:20:09 smtp spamd[9530]: server killed by SIGTERM, shutting 
down
Jun 22 08:20:33 smtp spamd[19713]: logmsg: server killed by SIGTERM, 
shutting down
........
Jun 24 08:48:37 smtp spamd[32258]: debug: received-header: 'by' 
xxxxxx.it has no public IPs
Jun 24 08:48:37 smtp spamd[32258]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:37 smtp spamd[32249]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:37 smtp spamd[32248]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:37 smtp spamd[32238]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:37 smtp spamd[32236]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:37 smtp spamd[30491]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:38 smtp spamd[32049]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:38 smtp spamd[32015]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:38 smtp spamd[32110]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:39 smtp spamd[32051]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:39 smtp spamd[32075]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:39 smtp spamd[32063]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:39 smtp spamd[32050]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:39 smtp spamd[32109]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:39 smtp spamd[32249]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:39 smtp spamd[32111]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:39 smtp spamd[32248]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:39 smtp spamd[32238]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:39 smtp spamd[32236]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:39 smtp spamd[30491]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32049]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32015]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32110]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32051]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32075]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32063]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32050]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32109]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:40 smtp spamd[32111]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:44 smtp spamd[30491]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:45 smtp spamd[30491]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:45 smtp spamd[32249]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:45 smtp spamd[32249]: server killed by SIGTERM, shutting 
down
Jun 24 08:48:45 smtp spamd[32258]: logmsg: server killed by SIGTERM, 
shutting down
Jun 24 08:48:45 smtp spamd[32258]: server killed by SIGTERM, shutting 
down
Jun 24 08:49:44 smtp spamc[32428]: connect(AF_INET) to spamd at 
127.0.0.1 failed, retrying (#1 of 3): Connection refused
Jun 24 08:49:45 smtp spamc[32428]: connect(AF_INET) to spamd at 
127.0.0.1 failed, retrying (#2 of 3): Connection refused
Jun 24 08:49:46 smtp spamc[32428]: connect(AF_INET) to spamd at 
127.0.0.1 failed, retrying (#3 of 3): Connection refused
Jun 24 08:49:47 smtp spamc[32428]: connection attempt to spamd 
aborted after 3 retries
Jun 24 08:49:57 smtp spamd[32531]: debug: daemonized.
Jun 24 08:49:57 smtp spamd[32531]: debug: Preloading modules with 
HOME=/tmp/spamd-32531-init
Jun 24 08:49:57 smtp spamd[32531]: debug: ignore: test message to 
precompile patterns and load modules
Jun 24 08:49:57 smtp spamd[32531]: debug: 
using "/usr/share/spamassassin" for default rules dir
 
- spamassassin options
SPAMDOPTIONS="-x -d -u spamd -H /home/spamd -D -m 5"
Comment 1 Warren Togami 2004-10-18 23:26:47 EDT
You are running many packages unsupported by RHEL2.1, we cannot
possibly fix your problem.

Note You need to log in before you can comment on or make changes to this bug.